<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk" xmlns="http://www.w3.org/1999/xhtml">
    <!-- PARAMETERS -->
    <s:div id="parametersDiv">
        <gri:panel rendered="#{(CommonAQManagerBean.selectedMessageType != null)}">
            <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.RequestParameters']}</f:facet>
            #{messages['net.ihe.gazelle.xdstar.ThisTableGathersTheFieldsOfTheRequestAndTheValue']}
            <br/>
            <br/>

            <rich:dataTable value="#{CommonAQManagerBean.adhocQuery.slot}" var="m"
                            rows="#{dataScrollerMemory.numberOfResultsPerPage}" id="tableValueSets" render="ds">
                <g:column sortable="true"
                          label="Opt">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Opt']}</ui:define>
                    <h:outputText value="#{CommonAQManagerBean.getOptionalitySlotOnAdhocQuery(m)}"/>
                </g:column>
                <g:column sortable="true"
                          label="name">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.MetadataName']}</ui:define>
                    <h:outputText value="#{m.name}"/>
                    <a4j:commandLink
                            actionListener="#{CommonAQManagerBean.removeSlotFromAdhocQuery(m)}"
                            execute="@this"
                            rendered="#{CommonAQManagerBean.getOptionalitySlotOnAdhocQuery(m).equals('O')}"
                            render="parametersDiv">
                        <span class="gzl-icon-minus"/>
                    </a4j:commandLink>
                </g:column>
                <g:column sortable="true"
                          label="Opt">
                    <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Values']})</ui:define>
                    <a4j:repeat value="#{m.valueList.value}" var="slval" rowKeyVar="idx">
                        <h:outputText value=" #{messages['net.ihe.gazelle.xdstar.OR']} " style="font-weight:bold;"
                                      rendered="#{idx != 0}"/>
                        <h:outputText value="#{slval}"/>
                        <gdk:spacer width="5"/>
                        <a4j:commandLink
                                actionListener="#{m.valueList.value.remove(slval)}"
                                execute="@this"
                                render="parametersDiv,messageDecoration">
                            <span class="gzl-icon-minus"/>
                        </a4j:commandLink>
                        <br rendered="#{idx != 0}"/>
                    </a4j:repeat>
                    <s:span rendered="#{CommonAQManagerBean.canAddValueToSlot(m)}">
                        <a4j:commandLink
                                actionListener="#{CommonAQManagerBean.initSelectedSlotType(m)}"
                                oncomplete="jq162('#AddSlotValue').modal('show');"
                                execute="@this"
                                render="slotForm,AddSlotValue">
                            <span class="gzl-icon-plus"/>
                        </a4j:commandLink>
                    </s:span>
                </g:column>
            </rich:dataTable>


            <br/>
            <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.AddOtherMetadatas']}"
                               styleClass="gzl-btn-green"
                               rendered="#{CommonAQManagerBean.listOptionalMetadata.size() &gt; 1}"
                               actionListener="#{CommonAQManagerBean.initListOptionalMetadata()}"
                               oncomplete="jq162('#AddOptionalMetadata').modal('show');"
                               render="addOptionalForm,AddOptionalMetadata"/>
            <br/>
            <br/>


        </gri:panel>
    </s:div>
</ui:composition>
